import QtQuick 1.0

Rectangle{
    id : main

      width: screenSize.width
      height: screenSize.height
//    width: 1366
//    height: 766

    Image {
        id: splashImage
        source: "images/background.png"
        anchors.fill: parent
        fillMode: Image.PreserveAspectCrop
    
        Image {
            id: logo
            width : 800
            height : 300
            source: "images/slackwarekdelinux.png"
            anchors.centerIn: parent
            opacity : .1
       
        Image {
            id: pic1
            source: "images/pe.png"
            x:320
            y:700
            opacity : 0
        }

        Image {
            id: pic2
            source: "images/pe1.png"
            x : 220
            y : 600
            opacity : 0

            
           }
   
            Image {
                id: pic3
                source: "images/pe2.png"
                x : 140
                y : 700
                opacity : 0
                
            }
        }
    }

    SequentialAnimation{
        id : splashanimation

        PauseAnimation { duration: 150 }
        NumberAnimation { target: logo; property: "scale";   duration: 1000; to: .40; easing.type:  Easing.InOutQuad }
        NumberAnimation { target: logo; property: "opacity";   duration: 1000; to: .91; easing.type:  Easing.InOutQuad }
        
        SequentialAnimation{
            NumberAnimation { target: logo; property: "scale";   duration: 400; to: .60; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "opacity";   duration: 400; to: 100; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "opacity";   duration: 400; to: 100; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic1; property: "opacity";   duration: 400; to: 100; easing.type:  Easing.InOutQuad }
        }    
        ParallelAnimation{
            NumberAnimation { target: pic1; property: "x"; duration: 500; to: 650; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "x"; duration: 500; to: 750; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "x"; duration: 500; to: 850; easing.type: Easing.InOutQuad }
            
        }
        ParallelAnimation {
            NumberAnimation { target: pic1; property: "opacity"; duration: 250; to: .01; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "opacity"; duration: 250; to: .01; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "opacity"; duration: 250; to: .01; easing.type: Easing.InOutQuad }
            
        }
        ParallelAnimation {
            NumberAnimation { target: pic1; property: "opacity"; duration: 250; to: 1; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "opacity"; duration: 250; to: 1; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "opacity"; duration: 250; to: 1; easing.type: Easing.InOutQuad }
            
        }    
        SequentialAnimation{
            NumberAnimation { target: pic1; property: "scale";   duration: 1000; to: 0; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "scale";   duration: 1000; to: 0; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "scale";   duration: 1000; to: 0; easing.type:  Easing.InOutQuad }
            
        }    
        ParallelAnimation{
            NumberAnimation { target: logo; property: "scale";   duration: 1000; to: 0; easing.type:  Easing.InOutQuad }
        }
        
    }
    
    Component.onCompleted: splashanimation.start()
}
 
